Package org.springframework.security.core.userdetails

# Interface AuthenticationUserDetailsService<T extends Authentication>

All Known Implementing Classes:
  `UserDetailsByNameServiceWrapper`

public interface AuthenticationUserDetailsService<T extends Authentication>
Interface that allows for retrieving a UserDetails object based on an `Authentication` object.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`UserDetails`
`loadUserDetails(T token)`

## Method Details

### loadUserDetails

UserDetails loadUserDetails(T token) throws UsernameNotFoundException

Parameters:
  `token` - The pre-authenticated authentication token
Returns:
  UserDetails for the given authentication token, never null.
Throws:
  `UsernameNotFoundException` - if no user details can be found for the given authentication token